Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class JobSession

    java.lang.Object
      org.jbpm.db.JobSession

    public class JobSession

extends java.lang.Object

Constructor Summary
`JobSession(org.hibernate.Session session)`

Method Summary
`void` | `cancelTimersByName(java.lang.String name, Token token)`
`void` | `deleteJob(Job job)`
`void` | `deleteJobsForProcessInstance(ProcessInstance processInstance)`
`java.util.List` | `findExclusiveJobs(java.lang.String lockOwner, ProcessInstance processInstance)`
`java.util.List` | `findJobsWithOverdueLockTime(java.util.Date treshold)`
`Job` | `getFirstAcquirableJob(java.lang.String lockOwner)`
`Job` | `getFirstDueJob(java.lang.String lockOwner, java.util.Collection jobIdsToIgnore)`
`Job` | `getJob(long jobId)`
`Job` | `loadJob(long jobId)`
`void` | `reattachUnmodifiedJob(Job job)`
`void` | `resumeJobs(Token token)`
`void` | `saveJob(Job job)`
`void` | `suspendJobs(Token token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSession

    public JobSession(org.hibernate.Session session)

Method Detail

### getFirstAcquirableJob

    public Job getFirstAcquirableJob(java.lang.String lockOwner)

### findExclusiveJobs

    public java.util.List findExclusiveJobs(java.lang.String lockOwner,
                                            ProcessInstance processInstance)

### getFirstDueJob

    public Job getFirstDueJob(java.lang.String lockOwner,
                              java.util.Collection jobIdsToIgnore)

### saveJob

    public void saveJob(Job job)

### reattachUnmodifiedJob

    public void reattachUnmodifiedJob(Job job)

### deleteJob

    public void deleteJob(Job job)

### loadJob

    public Job loadJob(long jobId)

### getJob

    public Job getJob(long jobId)

### suspendJobs

    public void suspendJobs(Token token)

### resumeJobs

    public void resumeJobs(Token token)

### cancelTimersByName

    public void cancelTimersByName(java.lang.String name,
                                   Token token)

### deleteJobsForProcessInstance

    public void deleteJobsForProcessInstance(ProcessInstance processInstance)

### findJobsWithOverdueLockTime

    public java.util.List findJobsWithOverdueLockTime(java.util.Date treshold)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD